summaryrefslogtreecommitdiff
path: root/dev-python/fonttools
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-01-30 06:53:35 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-01-30 06:53:35 +0000
commitc274884963bce2da3feb11087ab38d5359dce6b4 (patch)
tree3cdc2dcbe2612dd61ce81792bdc14d25864d3537 /dev-python/fonttools
parent09e7ba82863ca0798e5f9d24118c3905b4e17ae6 (diff)
downloadbaldeagleos-repo-c274884963bce2da3feb11087ab38d5359dce6b4.tar.gz
baldeagleos-repo-c274884963bce2da3feb11087ab38d5359dce6b4.tar.xz
baldeagleos-repo-c274884963bce2da3feb11087ab38d5359dce6b4.zip
Adding metadata
Diffstat (limited to 'dev-python/fonttools')
-rw-r--r--dev-python/fonttools/Manifest1
-rw-r--r--dev-python/fonttools/fonttools-4.55.8.ebuild99
2 files changed, 100 insertions, 0 deletions
diff --git a/dev-python/fonttools/Manifest b/dev-python/fonttools/Manifest
index 8e75bcf0db81..eee1e6b9509c 100644
--- a/dev-python/fonttools/Manifest
+++ b/dev-python/fonttools/Manifest
@@ -4,3 +4,4 @@ DIST fonttools-4.55.4.gh.tar.gz 3895558 BLAKE2B 9769f07c110f774bc597b6c4d63b502f
DIST fonttools-4.55.5.gh.tar.gz 3897134 BLAKE2B 7e7cd6f172e34488a095ff55341a9f6a075ad5ccd4f375d052ab3a586244923464d21a93c75af985ae81cc85bb897f8a1731fe7eabcfdf0b1f2c6bb9eed9e36f SHA512 fb2d4fb67c7778ebcb166f39651e3fceb8986844dee2ce711554e7bf0d160c458110352e922c8faf85a5514f6fc56762f82d037b0df44c3cb8b17191b827a6d9
DIST fonttools-4.55.6.gh.tar.gz 3897113 BLAKE2B f2ea39291ed57add406df285be0e3590b8a9d404049f38ad79869a7ea2d3f0e97135e5e4d93835a91825b126cb81383fa1dce9fc75db98be33704c3d36ea4530 SHA512 b14d12b21988bfbcda8b2532c9fd0072344452ebbd9ced2197fef8b0c8037fad6acb8d969473443e2d9c02df0f68eed45326179d6d0385d4921c8b95a1f7a42a
DIST fonttools-4.55.7.gh.tar.gz 3897996 BLAKE2B a34b1144133b69cbc057f3aea8f4a99290a8b5c33490008d29ee3546da975e690b959042f44117bd4496f5e523bb24b0671a415a59e741207efd19c25fd46ef9 SHA512 2c60bed9173b656e7b9f2cf3c0604b334b3e07b4d5e1f7d2bc2ec8a8e764095877e225b8801649df3551a1db3c7c9f4f65df1b5bbfdb4bf1221af122e04fe195
+DIST fonttools-4.55.8.gh.tar.gz 3897975 BLAKE2B fd97aa3e4a02fd2cf5eaf85f0a741f7fb4dc253a41de21088b1a918132377f1c23d8a4b373c7ad04d8f22f023d1e34abcbe585f62d8b5cad9b42cebf711c478b SHA512 15a608362b0fec9811bd7079568ed0f3f398cfaee6917988ff1391659a0544114debf190e02df5326ffa305adc4f1ff297ccbb81918850934d1617ac23dbebf4
diff --git a/dev-python/fonttools/fonttools-4.55.8.ebuild b/dev-python/fonttools/fonttools-4.55.8.ebuild
new file mode 100644
index 000000000000..3653213263ff
--- /dev/null
+++ b/dev-python/fonttools/fonttools-4.55.8.ebuild
@@ -0,0 +1,99 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+PYTHON_REQ_USE="xml(+)"
+
+inherit distutils-r1 virtualx
+
+DESCRIPTION="Library for manipulating TrueType, OpenType, AFM and Type1 fonts"
+HOMEPAGE="
+ https://github.com/fonttools/fonttools/
+ https://pypi.org/project/fonttools/
+"
+SRC_URI="
+ https://github.com/fonttools/fonttools/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="+native-extensions"
+
+RDEPEND="
+ >=dev-python/fs-2.4.9[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ native-extensions? (
+ $(python_gen_cond_dep '
+ dev-python/cython[${PYTHON_USEDEP}]
+ ' 'python*')
+ )
+ test? (
+ dev-python/brotlicffi[${PYTHON_USEDEP}]
+ dev-python/munkres[${PYTHON_USEDEP}]
+ dev-python/pytest-rerunfailures[${PYTHON_USEDEP}]
+ app-arch/zopfli
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # When dev-python/pytest-shutil is installed, we get weird import errors.
+ # This is due to incomplete nesting in the Tests/ tree:
+ #
+ # Tests/feaLib/__init__.py
+ # Tests/ufoLib/__init__.py
+ # Tests/svgLib/path/__init__.py
+ # Tests/otlLib/__init__.py
+ # Tests/varLib/__init__.py
+ #
+ # This tree requires an __init__.py in Tests/svgLib/ too, bug #701148.
+ touch Tests/svgLib/__init__.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_compile() {
+ local -x FONTTOOLS_WITH_CYTHON=$(usex native-extensions)
+ [[ ${EPYTHON} == pypy3 ]] && FONTTOOLS_WITH_CYTHON=0
+ distutils-r1_python_compile
+}
+
+src_test() {
+ # virtualx used when matplotlib is installed causing plot module tests to run
+ virtx distutils-r1_src_test
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # flaky test
+ Tests/ttLib/woff2_test.py::WOFF2ReaderTest::test_get_normal_tables
+ )
+
+ if [[ ${EPYTHON} == pypy3 ]] &&
+ has_version "dev-python/pyxattr[${PYTHON_USEDEP}]" &&
+ {
+ has_version "<dev-python/pypy3_10-exe-7.3.13_p2" ||
+ has_version "<dev-python/pypy3_10-exe-bin-7.3.13_p2"
+ }
+ then
+ EPYTEST_DESELECT+=(
+ # affected by a bug in PyPy/pyxattr
+ # https://github.com/iustin/pyxattr/issues/41
+ Tests/t1Lib/t1Lib_test.py::ReadWriteTest::test_read_with_path
+ )
+ fi
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ nonfatal epytest \
+ -p rerunfailures --reruns=5 \
+ Tests fontTools || die -n "Tests failed with ${EPYTHON}"
+}